<?

header('Cache-Control: no-store, no-cache, must-revalidate');
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("../inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("../version.php");

$uposts=$row['posts'];
$ugposts=$row['gposts'];
$posts=$row['posts'];

$time=date ("H:i");
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
echo "<card id=\"room\" title=\"Кости\" >\n";
echo "<p align=\"center\" mode=\"wrap\">\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Кости</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
}
switch($mod) {

default:
echo $fsize1;
echo "<b>Сыграем?</b><br/>\n";
echo "Правила таковы: кости кидаете Вы, потом Мастер костей. Если Вы выигрываете, получаете посты. Проигрываете, посты снимаются. Все предельно просто. Если у Вас меньше выбранного количества постов, играть нельзя.<br/>\n";
echo "У Вас постов: <b>".$uposts."</b><br/>";
echo "Игровой баланс: <b>".$ugposts."</b><br/>";
echo $divide;
echo "Ваша ставка:<br/>\n";
echo $fsize2;
if ($ver!="wml")echo "<form method=\"POST\" action=\"kosti.php?$ses&amp;mod=start&amp;ref=$ref\" name=\"stavka\">\n"; 
echo "<select name=\"stavka\" title=\"Stavka\" value=\"5\">\n";
echo "<option value=\"5\">5</option>\n";
echo "<option value=\"10\">10</option>\n";
echo "<option value=\"20\">20</option>\n";
echo "<option value=\"30\">30</option>\n";
echo "<option value=\"40\">40</option>\n";
echo "<option value=\"50\">50</option>\n";
echo "<option value=\"60\">60</option>\n";
echo "<option value=\"100\">100</option>\n";
echo "<option value=\"200\">200</option>\n";
echo "<option value=\"500\">500</option>\n";
echo "<option value=\"1000\">1000</option>\n";
echo "<option value=\"2500\">2500</option>\n";
echo "<option value=\"5000\">5000</option>\n";
echo "<option value=\"10000\">10000</option>\n";
echo "</select>\n";
echo "<br/>\n";  
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Играть<go href=\"kosti.php?$ses&amp;mod=start&amp;ref=$ref\" method=\"post\">\n"; 
echo "<postfield name=\"stavka\" value=\"$(stavka)\"/>\n"; 
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>\n";  
}else{
echo "<input type=\"submit\" value=\"Играть\" name=\"enter\"><br/>\n";
}
break;

case 'start':
if ($stavka!=5 && $stavka!=10 && $stavka!=20 && $stavka!=30 && $stavka!=40 && $stavka!=50 && $stavka!=60 && $stavka!=100 && $stavka!=200 && $stavka!=500 && $stavka!=1000 && $stavka!=2500 && $stavka!=5000 && $stavka!=10000){
echo $fsize1;
echo $divide;
echo "Вводите ставку вручную? Не пойдёт!)<br/>";
echo $fsize2;
} else {
if ($stavka>$posts) {
echo $fsize1;
echo "У Вас недостаточно постов для данной ставки!<br/>";
echo $fsize2;
} else {
$pl1=rand(1,6);
$pl2=rand(1,6);
$m1=rand(1,6);
$m2=rand(1,6);
$spl=$pl1+$pl2;
$sm=$m1+$m2;
echo $fsize1;
echo "У Вас постов: <b>".$uposts."</b><br/>";
echo "Игровой баланс: <b>".$ugposts."</b><br/>";
echo $divide;
echo "Вы бросили: ".$pl1." и ".$pl2." <br/>";
echo "Мастер бросил: ".$m1." и ".$m2." <br/>";
echo $fsize2;

if ($spl > $sm){
echo $fsize1;
echo $divide;
echo "Вы выиграли!<br/>";
mysql_query ("Update users set posts=posts+'".$stavka."', gposts=gposts+'".$stavka."' where id ='".$id."';");
$nuposts=$uposts+$stavka;
echo "Постов стало: ".$nuposts." <br/>";
echo $fsize2;
}

if ($spl < $sm){
echo $fsize1;
echo $divide;
echo "Вы проиграли!<br/>";
mysql_query ("Update users set posts=posts-'".$stavka."', gposts=gposts-'".$stavka."' where id ='".$id."'");
$nuposts=$uposts-$stavka;
echo "Постов стало: ".$nuposts." <br/>";
echo $fsize2;
}

if ($spl == $sm){
echo $fsize1;
echo $divide;
echo "Ничья!<br/>";
echo $fsize2;
}
echo $fsize1;
echo $divide;
echo "<a href=\"kosti.php?$ses&amp;mod=start&amp;stavka=$stavka&amp;ref=$ref\">Играть ещё!</a><br/>\n";
echo "<a href=\"kosti.php?$ses&amp;ref=$ref\">Сменить ставку!</a><br/>\n";
echo $fsize2;
}
}
break;
}
echo $fsize1;
echo $divide;
if($mod)print "<a href=\"kosti.php?$ses&amp;ref=$ref\">Кости</a><br/>";
echo "<a href=\"../enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>\n";
echo $fsize2;
if ($ver=="wml") echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close($link);
?>